#
# spec file for package python-scour
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-scour
Version:        0.30
Release:        6.2
Summary:        An SVG scrubber
License:        Apache-2.0
Group:          System/Libraries
Url:            https://github.com/oberstet/scour
Source:         https://pypi.python.org/packages/source/s/scour/scour-%{version}.zip
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
Provides:       scour = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Scour is an open-source Python script that aggressively cleans SVG files, removing a lot of 'cruft' that certain tools or authors embed into their documents. The goal of scour is to provide an identically rendered image.

%prep
%setup -q -n scour-%{version}
# fix end of line encoding
sed -i 's/\r$//' scour/scour.py
# remove unwanted shebang
sed -i '/^#!/ d' scour/{scour.py,yocto_css.py,svg_transform.py}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/scour
%{python_sitelib}/scour/
%{python_sitelib}/scour-*.egg-info

%changelog
* Tue May 12 2015 benoit.monin@gmx.fr
- update to version 0.30:
  * no changelog available
- update source URL
- point the source URL to pypi
- add BuildRequires python-setuptools and unzip
- fix end of line encoding of scour.py
- remove unwanted shebang of python sitelib files
- run setup.py build and install instead of copying the files
- remove the documentation files: not provided anymore
- add egg-info to the package
* Mon Jan 30 2012 saschpe@suse.de
- Ran spec-cleaner and did some minor cleanup
- Set license to SPDX style (Apache-2.0)
* Fri Jan 27 2012 i@marguerite.su
- initial package 0.26
